MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
DatabaseCommands.hxx File Reference
`#include "CommandResult.hxx"`
Include dependency graph for DatabaseCommands.hxx:

Go to the source code of this file.

## Functions
CommandResult | handle_listfiles_db (Client &client, Response &r, const char *uri)
CommandResult | handle_lsinfo2 (Client &client, const char *uri, Response &response)
CommandResult | handle_find (Client &client, Request request, Response &response)
CommandResult | handle_findadd (Client &client, Request request, Response &response)
CommandResult | handle_search (Client &client, Request request, Response &response)
CommandResult | handle_searchadd (Client &client, Request request, Response &response)
CommandResult | handle_searchaddpl (Client &client, Request request, Response &response)
CommandResult | handle_count (Client &client, Request request, Response &response)
CommandResult | handle_listall (Client &client, Request request, Response &response)
CommandResult | handle_list (Client &client, Request request, Response &response)
CommandResult | handle_listallinfo (Client &client, Request request, Response &response)

## Function Documentation

CommandResult handle_count | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

CommandResult handle_find | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

CommandResult handle_findadd | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

CommandResult handle_list | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

CommandResult handle_listall | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

CommandResult handle_listallinfo | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

CommandResult handle_listfiles_db | ( | Client & | client,
|  | Response & | r,
|  | const char * | uri
| ) |  |

CommandResult handle_lsinfo2 | ( | Client & | client,
|  | const char * | uri,
|  | Response & | response
| ) |  |

CommandResult handle_search | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

CommandResult handle_searchadd | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

CommandResult handle_searchaddpl | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |